petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatCholeskyFactorSymbolic

Performs symbolic Cholesky factorization of a symmetric matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCholeskyFactorSymbolic(Mat fact,Mat mat,IS perm,const MatFactorInfo *info)

Collective on Mat

### Input Parameters

| fact | - the factor matrix obtained with MatGetFactor()
| mat | - the matrix
| perm | - row and column permutations
| info | - options for factorization, includes

             fill - expected fill as ratio of original fill.

             dtcol - pivot tolerance (0 no pivot, 1 full column pivoting)

                      Run with the option -info to determine an optimal value to use

### Notes

See MatLUFactorSymbolic() for the nonsymmetric case. See also MatCholeskyFactor() and MatCholeskyFactorNumeric().

Most users should employ the simplified KSP interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., KSPCreate().

### See Also

MatLUFactorSymbolic(), MatCholeskyFactor(), MatCholeskyFactorNumeric()
MatGetOrdering()

Developer Note: fortran interface is not autogenerated as the f90 interface defintion cannot be generated correctly [due to MatFactorInfo]

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages